> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/pos-payment.md).

# Pos Payment

POS-Zahlungen verwalten

## PUT /erp/pos/payment/orders/{externalPaymentId}/status

> Zahlungsstatus aktualisieren

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"PosPayment","description":"POS-Zahlungen verwalten"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/pos/payment/orders/{externalPaymentId}/status":{"put":{"tags":["PosPayment"],"summary":"Zahlungsstatus aktualisieren","operationId":"updateStatus","parameters":[{"name":"externalPaymentId","in":"path","required":true,"schema":{"type":"string"}},{"name":"status","in":"query","required":true,"schema":{"type":"string","enum":["PENDING","PROCESSING","SUCCESSFUL","CANCELLED","REJECTED"]}},{"name":"errorMessage","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-pos-PosPaymentOrder"}}}}}}}},"components":{"schemas":{"erp-pos-PosPaymentOrder":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"documentLineRef":{"$ref":"#/components/schemas/erp-document-DocumentLineRef"},"amount":{"type":"number","description":"Betrag der Zahlung"},"currency":{"type":"string","description":"Währung (ISO Alpha-3)"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentBackendRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"externalPaymentId":{"type":"string","description":"Externe Payment-ID vom Backend","maxLength":255,"minLength":0},"externalPaymentStatus":{"type":"string","description":"Status der externen Zahlung","enum":["PENDING","PROCESSING","SUCCESSFUL","CANCELLED","REJECTED"]},"externalPaymentErrorMessage":{"type":"string","description":"Fehlermeldung vom Payment-Backend","maxLength":1000,"minLength":0},"paymentOperation":{"type":"string","description":"Art der Zahlungsoperation","enum":["PAYMENT","CANCEL","REFUND"]},"cancelledExternalPaymentId":{"type":"string","description":"Externe Payment-ID der zu stornierenden Zahlung","maxLength":255,"minLength":0},"posRegisterRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentConsumerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"ruleResult":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["amount"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-document-DocumentLineRef":{"description":"Referenz auf eine Documentline","properties":{"id":{"type":"integer","format":"int64","description":"Id der Dokumentzeile"},"documentId":{"type":"integer","format":"int64","description":"Id des Dokuments"},"category":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Belegart"},"documentState":{"type":"string","description":"Belegstatus"},"number":{"type":"string","description":"Belegnummer"},"articleNumber":{"type":"string","description":"Artikelnummer"},"position":{"type":"integer","format":"int32","description":"Positions-Nummer"},"name":{"type":"string","description":"Artikelbezeichnung","maxLength":2147483647,"minLength":0},"quantity":{"type":"number","description":"quantity"},"price":{"type":"number","description":"price per quantity [GROSS, NET]"},"displayName":{"type":"string","description":"Kurzbezeichnung des Kunden"}},"required":["id"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## GET /erp/pos/payment/orders/{externalPaymentId}

> Zahlung anhand der externen Payment-ID abrufen

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"PosPayment","description":"POS-Zahlungen verwalten"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/pos/payment/orders/{externalPaymentId}":{"get":{"tags":["PosPayment"],"summary":"Zahlung anhand der externen Payment-ID abrufen","operationId":"getByExternalPaymentId","parameters":[{"name":"externalPaymentId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-pos-PosPaymentOrder"}}}}}}}},"components":{"schemas":{"erp-pos-PosPaymentOrder":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"documentLineRef":{"$ref":"#/components/schemas/erp-document-DocumentLineRef"},"amount":{"type":"number","description":"Betrag der Zahlung"},"currency":{"type":"string","description":"Währung (ISO Alpha-3)"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentBackendRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"externalPaymentId":{"type":"string","description":"Externe Payment-ID vom Backend","maxLength":255,"minLength":0},"externalPaymentStatus":{"type":"string","description":"Status der externen Zahlung","enum":["PENDING","PROCESSING","SUCCESSFUL","CANCELLED","REJECTED"]},"externalPaymentErrorMessage":{"type":"string","description":"Fehlermeldung vom Payment-Backend","maxLength":1000,"minLength":0},"paymentOperation":{"type":"string","description":"Art der Zahlungsoperation","enum":["PAYMENT","CANCEL","REFUND"]},"cancelledExternalPaymentId":{"type":"string","description":"Externe Payment-ID der zu stornierenden Zahlung","maxLength":255,"minLength":0},"posRegisterRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentConsumerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"ruleResult":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["amount"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-document-DocumentLineRef":{"description":"Referenz auf eine Documentline","properties":{"id":{"type":"integer","format":"int64","description":"Id der Dokumentzeile"},"documentId":{"type":"integer","format":"int64","description":"Id des Dokuments"},"category":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Belegart"},"documentState":{"type":"string","description":"Belegstatus"},"number":{"type":"string","description":"Belegnummer"},"articleNumber":{"type":"string","description":"Artikelnummer"},"position":{"type":"integer","format":"int32","description":"Positions-Nummer"},"name":{"type":"string","description":"Artikelbezeichnung","maxLength":2147483647,"minLength":0},"quantity":{"type":"number","description":"quantity"},"price":{"type":"number","description":"price per quantity [GROSS, NET]"},"displayName":{"type":"string","description":"Kurzbezeichnung des Kunden"}},"required":["id"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.vario-software.de/api-reference/pos-payment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
